Bug 656917 - (CVE-2010-4150) CVE-2010-4150 php: Double free in the imap extension
CVE-2010-4150 php: Double free in the imap extension
Status: CLOSED DUPLICATE of bug 169857
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20101102,reported=20101115,sou...
: Security
Depends On: 656932
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-24 09:37 EST by Jan Lieskovsky
Modified: 2015-07-31 08:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-06 00:07:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-11-24 09:37:23 EST
Mateusz Kocielski reported a deficiency in the way
PHP IMAP extension processed provided user credentials,
when opening user mailbox folder. A local attacker
could use this flaw to cause a denial of service
(particular php application crash) or, potentially,
execute arbitrary code with the privileges of the
user running the application, by providing
a specially-crafted user credentials.

References:
[1] http://svn.php.net/viewvc?view=revision&revision=305062
[2] http://svn.php.net/viewvc/php/php-src/branches/PHP_5_2/ext/imap/php_imap.c?r1=294699&r2=305032&pathrev=305032&view=patch
[3] http://www.mandriva.com/en/security/advisories?name=MDVSA-2010:239
[4] http://www.vupen.com/english/advisories/2010/3027
Comment 1 Jan Lieskovsky 2010-11-24 09:40:30 EST
This issue affects the versions of the php package, as shipped
with Red Hat Enterprise Linux 4, 5, and 6.

--

This issue affects the versions of the php package, as shipped
with Fedora release of 12, 13, and 14.

Please fix.
Comment 2 Jan Lieskovsky 2010-11-24 09:54:09 EST
Created php tracking bugs for this issue

Affects: fedora-all [bug 656932]
Comment 5 Huzaifa S. Sidhpurwala 2010-11-29 02:20:15 EST
Statement:

We do not consider safe_mode / open_basedir restriction bypass issues to be
security sensitive.  For more details see
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=169857#c1 and
http://www.php.net/security-note.php
Comment 6 Huzaifa S. Sidhpurwala 2010-12-06 00:07:16 EST

*** This bug has been marked as a duplicate of bug 169857 ***

Note You need to log in before you can comment on or make changes to this bug.